%define	blurb Wireshark is a fork of Ethereal(tm)

%define	major 0
%define libname %mklibname wireshark %{major}
%define libname_devel %mklibname -d wireshark
%define main_version 0.99.6

Summary:	Network traffic analyzer
Name:		wireshark
Version:	%{main_version}
Release:	%mkrel 5
License:	GPL
Group: 		Monitoring
URL: 		http://www.wireshark.org
Source0:	http://www.wireshark.org/download/src/%{name}-%{version}.tar.bz2
Source1:	http://www.wireshark.org/download/src/all-versions/SIGNATURES-%{main_version}.txt
Patch0:		wireshark_help_browser.patch.bz2
Requires:	net-snmp-mibs
Requires:	net-snmp-utils
Requires:	usermode-consoleonly
BuildRequires:	doxygen
BuildRequires:	autoconf2.5
BuildRequires:	automake1.7
BuildRequires:	libtool
BuildRequires:	glib2-devel
BuildRequires:	gtk+2-devel
BuildRequires:	libelf-devel
BuildRequires:	openssl-devel
BuildRequires:	libpcap-devel >= 0.7.2
BuildRequires:	net-snmp-devel
BuildRequires:	pcre-devel
BuildRequires:	adns-devel
BuildRequires:	krb5-devel
BuildRequires:	libgnutls-devel
Provides:	ethereal = %{version}
Obsoletes:	ethereal
#Conflicts:	ethereal
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Wireshark is a network traffic analyzer for Unix-ish operating
systems. It is based on GTK+, a graphical user interface library,
and libpcap, a packet capture and filtering library.

%{blurb}

%package -n	%{libname}
Summary:	Network traffic and protocol analyzer libraries
Group:         	System/Libraries
Conflicts:      ethereal <= 0.10.5
Provides:	%{mklibname ethereal 0} = %{version}
Obsoletes:	%{mklibname ethereal 0}
#Conflicts:	%{mklibname ethereal 0}

%description -n	%{libname}
Wireshark is a network traffic analyzer for Unix-ish operating
systems. It is based on GTK+, a graphical user interface library,
and libpcap, a packet capture and filtering library.

%{blurb}

%package -n     %{libname_devel}
Summary:        Development files for %{name}
Group:          Development/Other
Provides:       libwireshark-devel = %{version}
Requires:       %{libname} = %{version}

%description -n %{libname_devel}
This package contains files used for development with %{name}.


%package	tools
Summary:	Tools for manipulating capture files
Group:		Monitoring
Provides:	ethereal-tools = %{version}
Obsoletes:	ethereal-tools
#Conflicts:	ethereal-tools

%description	tools
Set of tools for manipulating capture files. Contains:
- editcap - Edit and/or translate the format of capture files
- mergecap - Merges two capture files into one
- text2cap - Generate a capture file from an ASCII hexdump of packets

%{blurb}

%package -n	tshark
Summary:	Text-mode network traffic and protocol analyzer
Group:		Monitoring
Provides:	tethereal = %{version}
Obsoletes:	tethereal
#Conflicts:	tethereal

%description -n tshark
Twireshark is a network protocol analyzer. It lets you capture packet
data from a live network, or read packets from a previously saved
capture file, either printing a decoded form of those packets to the
standard output or writing the packets to a file. Twireshark's native
capture file format is libpcap format, which is also the format used
by tcpdump and various other tools.

%{blurb}

%prep

%setup -q -n %{name}-%{version}

%patch0 -p1

%build
%serverbuild

export WANT_AUTOCONF_2_5=1
rm -f configure wiretap/configure
libtoolize --copy --force; aclocal-1.7 -I aclocal-fallback; autoconf; automake-1.7 --add-missing --copy
pushd wiretap
    aclocal-1.7 -I ../aclocal-fallback; autoconf; automake-1.7 --add-missing --copy
popd
    
export LIBS="-L%{_libdir}"
export LDFLAGS="-L%{_libdir}"

%configure2_5x \
    --disable-warnings-as-errors --enable-warnings-as-errors=no \
    --disable-usr-local \
    --disable-static \
    --enable-gtk2 \
    --enable-tshark \
    --enable-editcap \
    --enable-dumpcap \
    --enable-capinfos \
    --enable-mergecap \
    --enable-text2pcap \
    --enable-idl2wrs \
    --enable-dftest \
    --enable-randpkt \
    --enable-ipv6 \
    --with-pcap=%{_prefix} \
    --with-zlib=%{_prefix} \
    --with-pcre=%{_prefix} \
    --with-ssl=%{_prefix} \
    --with-net-snmp=%{_prefix} \
    --with-plugins=%{_libdir}/%{name}

%make

# duh?
make %{name}.1

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std transform=""

# duh?
install -m0644 %{name}.1 %{buildroot}%{_mandir}/man1/

# menu
install -d %{buildroot}%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} <<EOF

?package(%{name}): \
command="%{name}" \
title="Wireshark" \
longtitle="Network traffic analyzer" \
needs="x11" \
icon="%{name}.png" \
section="System/Monitoring" \
xdg="true"

?package(%{name}): \
command="%{name}-root" \
title="Wireshark (root user)" \
longtitle="Network traffic analyzer (root user)" \
needs="x11" \
icon="%{name}.png" \
section="System/Monitoring" \
xdg="true"
EOF

# setup links for consolehelpper support to allow root access
install -d %{buildroot}%{_sbindir}
pushd %{buildroot}%{_bindir}
ln -sf consolehelper %{name}-root
cd %{buildroot}%{_sbindir}
ln -s ../bin/%{name} %{name}-root
popd

# icon
install -d %{buildroot}%{_miconsdir}
install -d %{buildroot}%{_iconsdir}
install -d %{buildroot}%{_liconsdir}

install -m0644 image/wsicon16.png %{buildroot}%{_miconsdir}/%{name}.png
install -m0644 image/wsicon32.png %{buildroot}%{_iconsdir}/%{name}.png
install -m0644 image/wsicon48.png %{buildroot}%{_liconsdir}/%{name}.png

# XDG menu
install -d %{buildroot}%{_datadir}/applications
install -m0644 wireshark.desktop %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop

cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Wireshark
Comment=Network traffic analyzer
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=GTK;X-MandrivaLinux-System-Monitoring;System;Monitor;
EOF

cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}-root.desktop << EOF
[Desktop Entry]
Name=Wireshark (root user)
Comment=Network traffic analyzer (root user)
Exec=%{name}-root
Icon=%{name}
Terminal=false
Type=Application
Categories=GTK;X-MandrivaLinux-System-Monitoring;System;Monitor;
EOF

# move this one to /usr/sbin
mv %{buildroot}%{_bindir}/dumpcap %{buildroot}%{_sbindir}/dumpcap

# fix one odd bug...
pushd %{buildroot}%{_bindir}
    ln -s ../sbin/dumpcap dumpcap
popd

# remove uneeded files
rm -f %{buildroot}%{_libdir}/wireshark/*.la

# install includes
mkdir -p %{buildroot}%{_includedir}/wireshark
for include in `find epan -type f -name '*.h'`; do
        mkdir -p %{buildroot}%{_includedir}/wireshark/`dirname $include`
        install -m 0644 -D $include %{buildroot}%{_includedir}/wireshark/`dirname $include`
done
# remaining include files
install -m 0644 *.h %{buildroot}%{_includedir}/wireshark
mkdir -p %{buildroot}%{_includedir}/wireshark/wiretap
install -m 0644 wiretap/*.h %{buildroot}%{_includedir}/wireshark/wiretap

# fix @SHELL@
perl -pi -e "s|\@SHELL\@|/bin/sh|g" %{buildroot}%{_bindir}/idl2wrs

%post
%update_menus

%postun
%clean_menus

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/%{name}
%attr(755,root,root) %{_bindir}/%{name}-root
%attr(755,root,root) %{_bindir}/dumpcap
%attr(755,root,root) %{_sbindir}/%{name}-root
%attr(755,root,root) %{_sbindir}/dumpcap
%dir %{_libdir}/%{name}
%attr(755,root,root) %{_libdir}/%{name}/*.so
%config(noreplace) %attr(644,root,root) %{_datadir}/%{name}/manuf
%config(noreplace) %attr(644,root,root) %{_datadir}/%{name}/cfilters
%config(noreplace) %attr(644,root,root) %{_datadir}/%{name}/colorfilters
%config(noreplace) %attr(644,root,root) %{_datadir}/%{name}/dfilters
%config(noreplace) %attr(644,root,root) %{_datadir}/%{name}/diameter/*
%config(noreplace) %attr(644,root,root) %{_datadir}/%{name}/radius/dictionary*
%attr(644,root,root) %{_datadir}/%{name}/help/*
%dir %{_datadir}/%{name}
%{_menudir}/%{name}
%{_iconsdir}/*.png
%{_miconsdir}/*.png
%{_liconsdir}/*.png
%{_mandir}/man1/dumpcap.1*
%{_mandir}/man1/%{name}.1*
%{_mandir}/man4/%{name}-filter.4*
%{_datadir}/%{name}/*.html
%{_datadir}/%{name}/AUTHORS-SHORT
%{_datadir}/%{name}/COPYING
%dir %{_datadir}/%{name}/dtds
%{_datadir}/%{name}/dtds/*
%{_datadir}/applications/*.desktop

%files tools
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/capinfos
%attr(755,root,root) %{_bindir}/dftest
%attr(755,root,root) %{_bindir}/editcap
%attr(755,root,root) %{_bindir}/idl2wrs
%attr(755,root,root) %{_bindir}/mergecap
%attr(755,root,root) %{_bindir}/randpkt
%attr(755,root,root) %{_bindir}/text2pcap
%{_mandir}/man1/capinfo*
%{_mandir}/man1/editcap*
%{_mandir}/man1/idl2wrs*
%{_mandir}/man1/mergecap*
%{_mandir}/man1/text2pcap*

%files -n tshark
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/tshark
%{_mandir}/man1/tshark*

%files -n %{libname}
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog FAQ NEWS README{,.[lv]*} doc/{randpkt.txt,README.*}
%attr(755,root,root) %{_libdir}/lib*.so.*

%files -n %{libname_devel}
%defattr(-,root,root)
%{_includedir}/wireshark
%{_libdir}/libwireshark.la
%{_libdir}/libwireshark.so
%{_libdir}/libwiretap.la
%{_libdir}/libwiretap.so



%changelog
* Wed Aug 08 2007 Oden Eriksson <oeriksson@mandriva.com> 0.99.6-5mdv2008.0
+ Revision: 60228
- rebuilt against new net-snmp libs

* Mon Aug 06 2007 Andreas Hasenack <andreas@mandriva.com> 0.99.6-3mdv2008.0
+ Revision: 59412
- include more .h files in the devel package

* Mon Aug 06 2007 Andreas Hasenack <andreas@mandriva.com> 0.99.6-2mdv2008.0
+ Revision: 59384
- created devel package

* Sat Jul 07 2007 Oden Eriksson <oeriksson@mandriva.com> 0.99.6-1mdv2008.0
+ Revision: 49447
- make it build
- 0.99.6

* Wed Jun 27 2007 Andreas Hasenack <andreas@mandriva.com> 0.99.5-4mdv2008.0
+ Revision: 45072
- using new serverbuild macro (-fstack-protector-full)

* Fri May 11 2007 Lenny Cartier <lenny@mandriva.org> 0.99.5-3mdv2008.0
+ Revision: 26410
- Use www-browser rather than mozill


* Sat Feb 03 2007 Oden Eriksson <oeriksson@mandriva.com> 0.99.5-1mdv2007.0
+ Revision: 116080
- 0.9.5 (fixes CVE-2007-0459, CVE-2007-0458, CVE-2007-0457 and CVE-2007-0456)

* Fri Nov 03 2006 Andreas Hasenack <andreas@mandriva.com> 0.99.4-1mdv2007.1
+ Revision: 76311
- updated to version 0.99.4, fixing security vulnerabilities
  (#26943)
- fixed comment field in desktop file (#26924)

* Sat Aug 26 2006 Andreas Hasenack <andreas@mandriva.com> 0.99.3a-1mdv2007.0
+ Revision: 58147
- updated to version 0.99.3a, fixing CVE-2006-43[30-33]
- added signed SIGNATURES file
- Import wireshark

* Tue Aug 01 2006 Oden Eriksson <oeriksson@mandriva.com> 0.99.2-3mdv2007.0
- fix xdg menu stuff

* Thu Jul 20 2006 Oden Eriksson <oeriksson@mandriva.com> 0.99.2-2mdv2007.0
- fix deps

* Wed Jul 19 2006 Oden Eriksson <oeriksson@mandriva.com> 0.99.2-1mdv2007.0
- 0.99.2 (Major security fixes)
- fix xdg menu

* Wed Jun 14 2006 Oden Eriksson <oeriksson@mandriva.com> 0.99.1-0.pre1.3mdv2007.0
- fix deps
- added a blurb

* Mon Jun 12 2006 Oden Eriksson <oeriksson@mandriva.com> 0.99.1-0.pre1.2mdv2007.0
- added some lib64 fixes
- fix deps

* Mon Jun 12 2006 Oden Eriksson <oeriksson@mandriva.com> 0.99.1-0.pre1.1mdv2007.0
- 0.99.1pre1
- new name

* Fri Jun 02 2006 Oden Eriksson <oeriksson@mandriva.com> 0.99.0-5mdv2007.0
- rebuild

* Thu Jun 01 2006 Oden Eriksson <oeriksson@mandriva.com> 0.99.0-4mdv2007.0
- dumpcap belongs in /usr/sbin/ and /usr/bin/, fix that with a symlink (#22849)

* Wed May 24 2006 Oden Eriksson <oeriksson@mandriva.com> 0.99.0-3mdk
- dumpcap belongs in /usr/sbin/ for convenience (#22517)

* Thu Apr 27 2006 Oden Eriksson <oeriksson@mandriva.com> 0.99.0-2mdk
- dumpcap belongs to the main package (vdanen)

* Wed Apr 26 2006 Oden Eriksson <oeriksson@mandriva.com> 0.99.0-1mdk
- 0.99.0 (Major security fixes)

* Wed Sep 07 2005 Oden Eriksson <oeriksson@mandriva.com> 0.10.14-1mdk
- 0.10.14; fixes CVE-2005-3651
- dropped P1 and P2, fixed upstream

* Wed Sep 07 2005 Oden Eriksson <oeriksson@mandriva.com> 0.10.12-1mdk
- 0.10.12; multiple security fixes
- fix #17045
- fix deps

* Thu Jul 14 2005 Oden Eriksson <oeriksson@mandriva.com> 0.10.11-4mdk
- rebuilt against new libpcap-0.9.1 (aka. a "play safe" rebuild)

* Sat Jun 11 2005 Buchan Milne <bgmilne@linux-mandrake.com> 0.10.11-3mdk
- Rebuild for libkrb53-devel 1.4.1

* Fri Jun 10 2005 Buchan Milne <bgmilne@linux-mandrake.com> 0.10.11-2mdk
- Rebuild for libkrb53-devel 1.4.1

* Fri May 06 2005 Oden Eriksson <oeriksson@mandriva.com> 0.10.11-1mdk
- 0.10.11 (Major security fixes)

* Wed Mar 23 2005 Olivier Blin <oblin@mandrakesoft.com> 0.10.10-1mdk
- 0.10.10 (security fixes, #14660)

* Fri Jan 21 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.10.9-1mdk
- 0.10.9

* Thu Dec 16 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.10.8-1mdk
- 0.10.8

* Fri Nov 19 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.10.7-1mdk
- 0.10.7
- regenerate P1
- cosmetics

* Tue Oct 12 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10.6-3mdk
- Fix conflicts when upgrading from 10.0 + security update

* Tue Aug 24 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10.6-2mdk
- Patch1: use correct alias for monospaced font

* Wed Aug 18 2004 Pascal Terjan <pterjan@mandrake.org> 0.10.6-1mdk
- 0.10.6
- updated patch 0

* Fri Jul 09 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.10.5-1mdk
- new release
- rediff patch 0

* Wed Jun 09 2004 Michael Scherer <misc@mandrake.org> 0.10.4-3mdk 
- fix upgrade with Conflicts

* Tue Jun 08 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.10.4-2mdk
- fix deps
- use some more libtool stuff

* Sun Jun 06 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.10.4-1mdk
- 0.10.4
- use the %%configure2_5x macro
- huge spec file fixes (used ideas from debian and PLD)

* Thu Apr 15 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.10.3-4mdk
- fix filelist
- some 64-bit fixes

* Sun Apr 11 2004 Michael Scherer <misc@mandrake.org> 0.10.3-3mdk 
- [DIRM]
- add complete url to source

* Sat Mar 27 2004 Michael Scherer <misc@mandrake.org> 0.10.3-2mdk
- remove devel requires
- clean hardcoded requires

* Fri Mar 26 2004 Michael Scherer <misc@mandrake.org> 0.10.3-1mdk
- 0.10.3
- more macro
- remove patch #1, integrated upstream
- use Bundled library for snmp

* Sun Feb 15 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.10.0a-3mdk
- patch1: ethereal-tethereal-with-X.patch (Bug #7091)
- in spec menu
- clean spec

